PCI_SET_MWI(9)

NAME
pci_set_mwi - enables memory-write-invalidate PCI transaction

SYNOPSIS

int pci_set_mwi (struct pci_dev * dev);

ARGUMENTS

dev the PCI device for which MWI is enabled

DESCRIPTION

Enables the Memory-Write-Invalidate transaction in PCI_COMMAND, and then calls pcibios_set_mwi to do the needed arch specific operations or a generic mwi-prep function.

RETURNS

An appropriate -ERRNO error value on error, or zero for success.